htpasswd(1) | General Commands Manual | htpasswd(1)

# NAME

`htpasswd` —
Create and update user authentication files

# SYNOPSIS

`htpasswd` | [ `-cm` ] FILE USERNAME

# DESCRIPTION

`htpasswd` is used to create and update the flat-files used to store usernames and password for basic authentication of HTTP users. Resources available from the Merecat web server can be restricted to just the users listed in the files created by htpasswd. This program can only be used when the usernames are stored in a flat-file.
This manual page only lists the command line arguments for `htpasswd`. For details of the directives necessary to enable user authentication in the web server, see merecat(8), the Merecat httpd README, or the GitHub project home page ⟨https://github.com/troglobit/merecat⟩.

# OPTIONS

`-c`
  Create, or recreate the .htpwassd file, FILE, if it already exists.
`-m`
  Use MD5 encryption for passwords, this is tested at runtime. So this option is simply for compatibility with other similar tools.
FILE
  Name of the file to contain the user name and password, usually .htpasswd. If `-c` is given, this file is created if it does not already exist, or deleted and recreated if it does exist.
USERNAME
  The username to create or update in passwdfile, FILE. If username does not exist is this file, an entry is added. If it does exist, the password is changed.

# SEE ALSO

merecat(8)

# AUTHORS

Rob McCool ⟨robm@stanford.edu⟩ originally wrote `htpasswd` for NCSA httpd. It then (naturally) made its way to Apache and other web servers, like Roxen Challenger.
Jef Poskanzer ⟨jef@mail.acme.com⟩ modified it 29aug97 to accept new password on stdin, if stdin is a pipe or file. This is necessary for use from CGI.

August 3, 2019 | merecat (2.32)